package com.genlot.nativesdk.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @author ZhuYongKang
 * @description 操作员实体类
 * @date 2019/9/26
 */
public class OpBean implements Parcelable {
    public String OpID;
    public String OpPassword;
    public String OpLevel;
    public String OpName;

    @Override
    public String toString() {
        return "OpBean{" +
                "OpID='" + OpID + '\'' +
                ", OpPassword='" + OpPassword + '\'' +
                ", OpLevel='" + OpLevel + '\'' +
                ", OpName='" + OpName + '\'' +
                '}';
    }

    public static final Creator<OpBean> CREATOR = new Creator<OpBean>() {
        @Override
        public OpBean createFromParcel(Parcel in) {
            OpBean bean = new OpBean();
            bean.OpID = in.readString();
            bean.OpPassword = in.readString();
            bean.OpLevel = in.readString();
            bean.OpName = in.readString();
            return bean;
        }

        @Override
        public OpBean[] newArray(int size) {
            return new OpBean[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(OpID);
        dest.writeString(OpPassword);
        dest.writeString(OpLevel);
        dest.writeString(OpName);
    }
}
